<template>
  <span v-lazy-container="{ preLoad:preLoad,error: require('@/assets/img/noneImg.png'),loading: require('@/assets/img/loadingImg.gif')}">
    <img :data-src="'/httpImage/'+src" :height="height" :width="width"  :alt="alt"/>
  </span>
  <!-- <img :src="'/httpImage/'+src" :onerror="noneImg"  :alt="alt"/> -->
</template>
<script>
import Vue from 'vue'
import VueLazyload from 'vue-lazyload'
Vue.use(VueLazyload)
// Vue.use(VueLazyload, {
//   preLoad: 1.3,
//   error: require('@/assets/img/noneImg.png'),
//   loading: require('@/assets/img/loadingImg.gif'),
//   attempt: 1
// })

export default {
  name: 'httpLazyImg',
  props: {
    src: {
      default: '',
      type: String
    },
    alt: {
      default: '',
      type: String
    },
    preLoad: {
      default: 1.3,
      type: Number
    },
    height: {
      default: '100%',
      type: String
    },
    width: {
      default: 'auto',
      type: String
    }
  },
  data() {
    return {
      noneImg: 'this.src="' + require('@/assets/img/noneImg.png') + '"'
    }
  }
}
</script>
<style scoped>
</style>
